aboutsummaryrefslogtreecommitdiffstats
path: root/systems
diff options
context:
space:
mode:
Diffstat (limited to 'systems')
-rwxr-xr-xsystems/build_base_machine.sh19
-rwxr-xr-xsystems/ubuntu/14.04/build_base_machine.sh84
2 files changed, 12 insertions, 91 deletions
diff --git a/systems/build_base_machine.sh b/systems/build_base_machine.sh
index cec82ebb..e78b7fe7 100755
--- a/systems/build_base_machine.sh
+++ b/systems/build_base_machine.sh
@@ -3,7 +3,7 @@
# Top level scripts to build basic setup for the host
#
-# Copyright 2015-2016 OPNFV, Intel Corporation.
+# Copyright 2015-2017 OPNFV, Intel Corporation.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -23,6 +23,7 @@
# Abdul Halim, Intel Corporation.
# Martin Klozik, Intel Corporation.
# Maryam Tahhan, Intel Corporation.
+# Taras Chornyi, Intel Corporation.
ROOT_UID=0
SUDO=""
@@ -58,18 +59,22 @@ distro_dir="$OS_NAME/$VERSION_ID"
if [ -d "$distro_dir" ] && [ -e "$distro_dir/build_base_machine.sh" ]; then
$SUDO $distro_dir/build_base_machine.sh || die "$distro_dir/build_base_machine.sh failed"
else
- die "$distro_dir is not yet supported"
+ die "$distro_dir is not supported"
fi
-
-if [ ! -d /lib/modules/`uname -r`/build ] ; then
- die "Kernel devel is not available for active kernel. It can be caused by recent kernel update. Please reboot and run $0 again."
+if [ -z ${DOCKER+x} ]; then
+ if [ ! -d /lib/modules/`uname -r`/build ] ; then
+ die "Kernel devel is not available for active kernel. It can be caused by recent kernel update. Please reboot and run $0 again."
+ fi
fi
-
# download and compile DPDK and Collectd
if [ -f ../src/Makefile ] ; then
cd ../src
make clobber || die "Make clobber failed"
- make install || die "Make install failed"
+if [ -z ${DOCKER+x} ]; then
+ make DOCKER=y install || die "Make install failed";
+else
+ make install || die "Make install failed";
+fi
cd -
else
die "Make failed; No Makefile"
diff --git a/systems/ubuntu/14.04/build_base_machine.sh b/systems/ubuntu/14.04/build_base_machine.sh
deleted file mode 100755
index a06cd517..00000000
--- a/systems/ubuntu/14.04/build_base_machine.sh
+++ /dev/null
@@ -1,84 +0,0 @@
-#!/bin/bash
-# Copyright 2016-2017 OPNFV
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-set -eux
-apt-get update
-apt-get -y install build-essential dh-autoreconf fakeroot devscripts dpkg-dev git wget
-
-apt-get -y install \
- debhelper dpkg-dev po-debconf dh-systemd \
- bison flex autotools-dev libltdl-dev pkg-config \
- iptables-dev \
- javahelper \
- libatasmart-dev \
- libcap-dev \
- libcurl4-gnutls-dev \
- libdbi-dev \
- libesmtp-dev \
- libganglia1-dev \
- libgcrypt11-dev \
- libglib2.0-dev \
- libgps-dev \
- libhiredis-dev \
- libi2c-dev \
- libldap2-dev \
- liblua5.2-dev \
- liblvm2-dev \
- libmemcached-dev \
- libmodbus-dev \
- libmnl-dev \
- libmosquitto0-dev \
- libmysqlclient-dev \
- libncurses5 \
- libncurses5-dev \
- libnotify-dev \
- libopenipmi-dev \
- liboping-dev \
- libow-dev \
- libpcap0.8-dev \
- libpcap-dev\
- libperl-dev \
- libpopt-dev \
- libpq-dev \
- libprotobuf-c0-dev \
- libriemann-client-dev \
- librdkafka-dev \
- librabbitmq-dev \
- librrd-dev \
- libsensors4-dev \
- libsigrok-dev \
- libsnmp-dev \
- snmp \
- snmp-mibs-downloader \
- snmpd \
- perl \
- libtokyocabinet-dev \
- libtokyotyrant-dev \
- libudev-dev \
- libupsclient-dev \
- libvarnishapi-dev \
- libvirt-bin \
- libvirt-dev \
- libxen-dev \
- libxml2-dev \
- libyajl-dev \
- linux-libc-dev \
- default-jdk \
- protobuf-c-compiler \
- python-dev \
- openvswitch-switch \
- mcelog \
- libc6-dev \
- g++-multilib
-